Introducing ItweakU

Introduction

PJF Data's ItweakU is a clean, small and fast program. It's easy to use since it follows the standard layout of windows programs. ItweakU makes it easy to change the hidden settings in Windows so there is no longer any need to go digging in the registry manually, afraid that Windows may stop working. Use ItweakU for all changes and you can feel confident that Windows in fact will start the next time you reboot. There is a lot of changes you can make by using ItweakU. If you would like to know some of them, just keep on reading in this documentation and you can find out all the things made possible with the help of ItweakU.

Features

  • Tweak your settings in Windows 9x/Me/NT/2000 and XP
  • Change the settings in seconds!
  • The well-known interface makes it easy for you to use ItweakU.
  • Combines many other Tweaking utilities.
  • What's new in this release
  • Full version history
  • The ItweakU Web page


What's new in this release

Along with feature upgrades, the ItweakU 4.00 release contains these new features:

  • New options on Web->Internet Explorer 2 page.
  • Updated the Run options, it now displays all items at once.
  • Remember last page used have been restored.


Full version history

  • Version 4.01 - 22-Sept-2001
    • New options on Web->Internet Explorer 2 page.
    • Updated the Run options, it now displays all items at once.
    • Remember last page used have been restored.
  • Version 4.00 - 27-Jul-2001
    • A new much cleaner look.
    • A lot of code from previous versions removed.
    • Starts up MUCH faster.
  • Version 3.72a - 27-May-2001
    • Added option to change font in ItweakU.
    • Fixed a bug in the Control Panel option.
  • Version 3.72 - 16-May-2001
    • Fixed a bug with the window placement.
    • Changed the font.
    • Updated icon and splash, thanks Jim McNamara.
    • Added support for the German language, thanks Ralf Vöpel.
    • Live Update now updates all files.
  • Version 3.71 - 29-Apr-2001
    • Fixed a serious bug in the New option.
    • Added some support for Windows XP.
    • Cleaned up some in the code to remove any potential bugs.
    • Plus some other minor changes.
  • Version 3.70 - 03-Mar-2001
    • Added option to select custom shortcut icon by browsing the hard drive.
    • Added option to change many different icons. (Drives - Icons) page.
    • Added option to make it possible to create "New" templates on the New option.
    • Added a light blue color to buttons when hovering over them.
    • Added option to set the Internet Explorer toolbar background (bitmap).
    • Added option to set the Windows Explorer toolbar background (bitmap).
    • Fixed bug in the Add/Remove option.
    • Chinese language added. Thanks to Tarino.
    • Added option to remove the Font Cache.
    • Added option to wrap long icon names.
    • Added option to enable fast update of Windows explorer.
    • Fixed bug in OE splash option.
    • Now remembers the "sub" pages as well if you are using "Remember last page used".
    • The tools is now placed in two menus. ItweakU tools and Windows tools.
    • Added more info to the Registry info page.
    • Special thanks to Jim McNamara for all his efforts testing, discovery of bugs, and submission of new options.
  • Version 3.65 - 03-Jan-2001
    • Fixed a couple of minor bugs.
    • Changed splash image (thanks Kim Kruse & Jim McNamara).
    • French and Portuguese language file updated, (thanks Alain Caland and Denis Gomes Franco ).
    • Added progress bar to the splash screen.
    • When changing a checkbox the color changes to green.
    • Added a Hide Drives option.
    • Added a Live Update wizard, (icon and bitmap made by Jim McNamara).
    • Updated the Registry Cleaner.
    • New help file.
    • Several updated icons (thanks Jim McNamara).
  • Version 3.60 - 03-Oct-2000
    • Added syntax highlight to the checkboxes when mouse hover over it.
    • Now supports Windows Me.
    • Added option to remove the Help line in the Start Menu, Win2000 and Win Me only.
    • Option to disable F3 in Internet Explorer.
    • Option to force the user to enter password to logon in Win9x.
    • Now possible to select multiple wallpapers to remove.
    • Fixed a bug when using ItweakU with stacked tabs.
    • When changing Default URL in the Web page, it's now possible to browse.
    • On the Add / Remove option it's now possible to choose between remove and uninstall.
    • Many interface changes.
    • Many options renamed for easier use.
    • Bug fixes.
    • The Mixed Options page are gone. The options are moved to other pages.
    • New setup program (again).
    • Added Czech language support.
    • Possible to change language without restarting ItweakU.
    • Open and Save as are now the "new" dialogs in Win Me and 2000.
    • Fixed bug in the check for updated version, it's now possible to click the close button during the check.
  • Version 3.50 - 16-Jun-2000
    • Improved the context sensitive help.
    • Buttons without icons have a small border around them.
    • Many layout changes.
    • More tools added to the Tools menu.
    • Added a Default button which sets the default values, (you must click apply after).
    • Possible to change the looks of the buttons without having to restart ItweakU.
    • Fixed a bug on the Internet Explorer Window Title option.
    • Changed setup program.
    • Most of the resources are placed in a external file called Res.dll.
    • Fixed a bug on the Reload icons button.
    • Fixed the Rename Recycle Bin option, no longer possible to accidentally remove the Recycle Bin. Thanks Mr. Jim McNamara.
    • Option to add ItweakU to the Control Panel.
    • Added Active Desktop section to the Mixed page.
    • No longer possible to set Wallpaper in ItweakU, but checks many more places esp. in Win2k.
    • Added Internet Explorer Two page to the Web page.
    • Clear URL History at startup on Options page.
    • Filetype Manager.
    • Startup Monitor.
    • Add/Remove Checker.
  • Version 3.15 - 11-Apr-2000
    • Added option to show / hide icons in the Control Panel.
    • Added add-on for ItweakU, improved Startup Manager called Startup, launch from File->Startup.
    • Fixed problem on the Reg Info page, now displays empty string if the value is empty in the registry.
    • Fixed bug in "Dos Prompt here" on Windows NT.
    • Fixed bug in Show Network Neighborhood, there was a problem getting it back.
    • Fixed a bug in Special Folders in My Computer.
    • Fixed a bug in Outlook Express Window Title and Splash Screen.
    • It is now possible to add shortcuts to the Send To menu.
    • ItweakU also checks the links in the Send To menu to see if they work.
    • When using Open Explorer on My Computer it now starts in the Root and not on C: as it did before.
  • Version 3.10 - 08-Mar-2000
    • Found and fixed some memory and resource leaks.
    • Fixed error with displaying the pages correct when using a toolbar on the left side on the desktop.
    • Added Clean Registry, now in a dll. Must be launched from ItweakU!
    • French language file now complete.
    • Added "check for latest version..." option.
    • Bug in "Dos prompt here" in Windows NT, fixed.
    • Added custom right-click option.
    • Added context sensitive help.
    • Other changes that will hopefully make ItweakU run even smoother.
  • Version 3.01 - 24-Jan-2000
    • Bug in Clear Desktop of all icons fixed.
    • Spanish language file now complete.
  • Version 3.00 - 15-Jan-2000
    • Startup bug fixed, that caused the program to crash at the first startup.
    • Different languages now in dll files.
  • Version 3.00 Beta - 10-Jan-2000
    • Complete rewrite from scratch.
    • Added a menu with a lot of different Windows tools to launch.
    • Option to clear the Icon Cache.
    • Add "Open with..." when right-clicking all files.
    • Add "MS-DOS prompt here" when right-clicking all directories.
    • Fixed a bug with change the Window Title in Internet Explorer.
    • Fixed a bug with change the Window Title in Outlook Express.
    • Fixed a bug with the Splash Screen option on Outlook Express.
    • ItweakU can now remember the last open page...
    • Plus additional fixes and interface changes...
  • Version 2.77 - 29-Sept-1999
    • Added Portuguese language support.
    • Fixed a bug that prevents ItweakU from running at certain configurations.
  • Version 2.76 - 13-Sept-1999
    • Added Dutch language support.
  • Version 2.75 - 11-Sept-1999
    • Change Modem init strings.
    • Added Spanish language support.
    • View thumbnails of bitmaps as icons.
    • Change Web Files associated browser.
    • Change mouse wheel scroll lines.
    • Add program to global path.
    • Add Offline Webpages to the Start Menu.
    • Increase Icon Cache size.
    • If you have many shortcuts in the Start Menu, show columns instead of rows.
    • Change the search path to your Outlook Express Address Book.
  • Version 2.70 - 08-Aug-1999
    • TweakJr has become ItweakU.
    • Added French language support.
    • Sort Start Menu and Favorites alphabetical.
    • Change Web Files associated browser.
    • Enable/Disable New entries.
    • Remove Send To items.
    • Enable/Disable autorun items.
  • Version 2.60 - 30-Jun-1999
    • Multiple language support.
    • Empty temp and cookie folder at Windows startup.
    • Show/Hide the Channel bar.
    • Auto connect/disconnect to/from the internet. (IE)
    • Disable Customize IE Toolbar.
    • Enable/Disable IE check for updates automatically.
    • Enable/Disable IE checks to see if it's the default browser.
    • Set the cursor blink rate to a value of your choice.
    • Checks the Startup on the start menu in the Run section.
    • Remove entries in your Send To menu.
    • Remove folders from My Computer.
    • Change your Cool Switch (Alt+Tab) settings.
    • Added option to hide all drives but C:.
    • Option to change TweakJr so that all tabs are shown at once.
    • A new help system. Using HTML help instead of the old version.
  • Version 2.55 - 08-Jun-1999
    • Added option to set the timeout for "Not responding" apps.
    • You can now prevent Windows from caching passwords.
    • Option to delete Wallpapers on your hard drive directly from TweakJr.
    • Select all cookies simply by pushing a button.
    • Hide the File and printer sharing button.
  • Version 2.51 - 17-May-1999
    • Fixed the "new" option, it now works 100%.
    • Also fixed the system folders, if you want to move to another folder you can now browse to it, I also fixed a bug in that option.
    • I want to thank one user for helping me with beta testing and coming up with new ideas.
  • Version 2.50 - 01-May-1999
    • Fixed a bug in the Non-blinking cursor feature.
    • Clear find in files dropdown list.
    • Autoend not responding apps when you exit Windows
    • Remove "Restart in MS-DOS mode" when you choose shut down.
    • A lot more features to change Internet Explorer.
    • Several different pages on the Internet Explorer page. Choose page from a dropdown menu. Please let me know what you think of this.
  • Version 2.42 - 20-Apr-1999
    • Fixed a bug with the "Detect accidental double-clicks" feature.
  • Version 2.41 - 18-Apr-1999
    • Improved find Mtu location. Fixed problem with "Error" in the "MaxMTU location found at" field, on the internet page.
  • Version 2.40 - 16-Apr-1999
    • Added System page with many new tweaks.
    • The Autologon is back, I have received mail from users saying that it worked well for them.
    • A lot of new Tweaks for Windows NT on the system page.
    • Create rescue disc from TweakJr.
    • Now you can modify Msdos.sys in different ways.
    • Scandisk settings, Boot settings.
    • You can use Windows Update without having to register at Microsoft.
    • Added "Open with Notepad/Wordpad" when right clicking ALL files
    • Fixed some bugs for Windows NT mode.
    • A total of 14 new features in Win 95/98 mode.
    • A total of 16 new features in Win NT mode.
  • Version 2.30 - 03-Apr-1999
    • I have gone through all the code and fixed bugs.
    • You can remove tabs you never use.
    • You can choose what kind of buttons you want to use.
    • Fixed the "Prefix shortcut to" feature, it wasn't working 100%.
    • View with wordpad feature is now working even in folders with spaces in the name.
    • If you haven't used a wallpaper since you installed Windows, TweakJr crashed - Fixed.
    • I've added about 10 new security features.
    • If you disable the use of Regedit, you can open it from TweakJr.
    • You can now use TweakJr in Windows 95/98/NT.
  • Version 2.2 - 05-Mar-1999
    • I changed the buttons on TweakJr.
    • Bug fixes...


Options in ItweakU

In the following section in this helpfile you can read about over 215 different options that ItweakU offers. Each page in ItweakU have their own page in this helpfile, so you can easily navigate through this file and find the things you are looking for.

  • Start Menu
  • Desktop
  • Miscellaneous
    • One
    • Two
    • Context Menu
  • System
    • System for Windows 9x/Me
    • System for Windows NT/2000
  • Wallpaper - Info Tips
  • Web
    • IE Cookies - Misc
    • Internet Explorer 1
    • Internet Explorer 2
    • Dial-up
    • Outlook Express - Modems
  • Programs - Control Panel
  • New - Send To
  • Drives - Icons
  • Folders - Autorun
  • Registry Info
  • Security
    • Miscellaneous settings
    • Control Panel settings
  • Options


Start Menu

In the Folders / Functions on the Start Menu you can modify the following settings:

Disable Documents: Every time you open a document of some kind, Windows adds that name to a list called MRU (Most Recently Used) and to a folder called Recent. You can view the documents list in the Documents folder on the Start Menu. If you uncheck this option then no name will be added to the list or the folder. This setting applies to the current user only.

Hide Documents: Check this option to remove the "Documents" line from the Start Menu. This setting applies to the current user only.

Hide Favorites: Uncheck this box to remove the "Favorites" line from the Start Menu. You can not use this option unless you have Windows 98/Windows 2000. If you have Windows 95 or Windows NT4 you must have installed Internet Explorer 4.01 WITH the Active Desktop option. This setting applies to the current user only.

Hide Find: Check this option to remove the "Find" line from the Start Menu. This setting applies to the current user only.

Hide Help: Check this option to remove the "Help" line from the Start Menu. NOTE: This option only works in Windows 2000 and Windows Me. This setting applies to the current user only.

Hide Run: Check this option to remove the "Run" line from the Start Menu. This setting applies to the current user only.

Hide Logoff: Check this option to remove the "Log Off..." option on the Start Menu. This setting applies to the current user only.

Hide "Shut Down...": Uncheck this option to remove the "Shut Down..." option from the Start Menu. This setting applies to the current user only.

Hide "Restart in MS-DOS mode": If you want to remove the "Restart in MS-DOS mode" from the dialog that pops up when you select "Start -> Shut Down...", then you should use this option. This setting applies to the current user only.

Add Control Panel: Check this option to add a cascading Control Panel to the top of the Start Menu. If you are using Windows 2000 or ME the Control Panel in settings folder expands instead of add a new one to the top of the Start Menu. This setting applies to the current user only.

Add Printers: Check this option to add a cascading Printers folder to the top of the Start Menu. This setting applies to the current user only.

Add URL History: Check this option to add a cascading URL History folder to the top of the Start Menu. This setting applies to the current user only.

Add Recycle Bin: Check this option to add a cascading Recycle Bin folder to the top of the Start Menu. This setting applies to the current user only.

Add Offline Webpages: Check this option to add a cascading Offline Webpages folder to the top of the Start Menu. This setting applies to the current user only.

Clear Recent Documents on exit: This title is perhaps not perfect, if you check this option then Windows will empty ALL MRU (Most Recently Used) lists. The lists are: Run, Find, Find Computer and Documents. This setting applies to the current user only.

Enable multiple columns: If you have many shortcuts in your Programs folder on the Start Menu and want to see all at once, instead of having to scroll the shortcuts, then check this box. This setting applies to all users.

In the Settings on the Start Menu (Start -> Settings) you can remove the following lines:

Hide Control Panel and Printers: Check this option to remove the "Control Panel" AND "Printers" option in Start -> Settings. There are no way to just remove one of the lines. NOTE: This option also disables the shortcut command to open Windows Explorer using the "windows key + E". This setting applies to the current user only.

Hide Folder Options: Check this option to remove the "Folder Options" option in Start -> Settings. This setting applies to the current user only.

Hide Active Desktop: Check this option to remove the "Active Desktop" pop-up menu in Start -> Settings. This setting applies to the current user only.

Hide Windows Update: Check this option to remove the "Windows Update..." option in Start -> Settings. This setting applies to the current user only.

If you want to remove the "Taskbar & Start Menu..." option as well, then open the Security -> Miscellaneous page and uncheck the option called "Disable Taskbar Properties". If you need more information go to the Security -> Miscellaneous section in this documentation.

In the Clear NOW! section you can clear the following MRU (Most Recently Used) lists:

Recent documents: Clears the pop-up documents folder on your Start Menu as well as the Recent folder on your computer. You will need to logoff for the change to take effect. This setting applies to the current user only.

Find history: Empties the find files list from items. You will need to logoff for the change to take effect. This setting applies to the current user only.

Run history Empties the run MRU list from items. You will need to logoff for the change to take effect. This setting applies to the current user only.

In the Sort alphabetically (ascending) section you can sort the following items:

Programs: When you click this button, the Start Menu will be sorted alphabetically (in ascending order). This setting applies to the current user only.

Favorites: When you click this button the Favorites Menu will be sorted alphabetically (in ascending order). This setting applies to the current user only.

The Start Menu delay: The time in ms before the Start Menu opens when moving the cursor over a folder that should open. Windows default is 250ms. This setting applies to the current user only.


Desktop

In the Effects section you have the following options:

Enable Smooth Scrolling: This enables Smooth Scrolling in list boxes and some other programs, like Internet Explorer. This setting applies to the current user only.

Enable renaming of the Recycle Bin: This option adds more options to when you right-click the recycle bin. It enables you to rename the recycle bin like the other folders and shortcuts on the Desktop. This setting applies to all users.

Enable Classic Desktop (Win 95 look): This option enables the classic "Windows 95 look" without the quick launch toolbar and active-desktop possibility. This setting applies to the current user only.

Disable window animation: This option allows you to eliminate the animation effect when minimizing and maximizing a window, which is present by default. This option is really useful on older computers when you need to make things easier for the computer. This setting applies to the current user only.

Show window contents while dragging: Use this option to see the entire Windows while moving it, instead of just seeing the border. NOTE: This option requires that at least Internet Explorer 4.01 is installed. This setting applies to the current user only.

Open Windows Explorer on My Computer: When you double-click the My Computer icon, you can now choose to open the MS Explorer. This setting applies to all users.

Show Windows version on desktop: Shows the Windows version in the bottom left corner of the desktop. If you have enabled the Active Desktop then this option wont have any effect. Works in Windows 98/2000 and Millennium. This setting applies to the current user only.

Smooth edges of screen fonts: The edges of the fonts fades out, can make smaller text a little blur.

In the Icons section you have the following options:

Increase Icon Cache size: Increase the size Windows uses to cache the currently showing Icons. This option increases the size from default 512 to 2048. This setting applies to all users.

Enable all possible colors: This option can show icons using 16-bit colors instead of just 4-bits. This setting applies to the current user only.

Wrap long titles: This option wrap long icon titles to be displayed on multiple lines instead of just one.

Clear Cache: Use this button to remove the ShellIconCache file, in which Windows caches the icon information. It can sometimes happen that the file gets corrupted and your icons are displayed the wrong way, then it's a good idea to use this button. This setting applies to all users.

Rebuild Icons: Push this button if your icons looks weird or the wrong icon is showing. This will make Windows reload them. If it doesn't help you with your problem, you can then click on the "Clear Icon Cache" button, and then on this button. After that, reboot your computer. If you are using Windows NT4 and you have strange looking shortcut icons, this is the way to restore your original shortcut arrows. You might have to do the described operation a couple of times.

Size: You can choose between Small (16px), Default (32px), Big (48px) and Huge (64px). This setting applies to the current user only.

In the Miscellaneous section you have the following options:

Hide Internet Explorer Icon: Use this option if you want to remove the Internet Explorer Icon from your desktop. This setting applies to the current user only.

Hide Network Neighborhood: Use this option if you want to remove the Network Neighborhood icon from you desktop. WARNING: Hiding the Network Neighborhood can lead to serious problems (for example with UNC names). Deactivate this option ONLY if you are sure that you don't need any network-functionality. This setting applies to the current user only.

Hide "Shortcut To" for new Shortcuts: When you create a new shortcut, Windows, by default, names it "Shortcut to...". This option allows you to remove the "Shortcut to" prefix. This setting applies to the current user only.

Detect accidental double-clicks: Detects if you accidentally double-clicked, if so windows ignores it. This setting applies to the current user only.

Show Active-Desktop on right-click: Use this option to remove the Active-Desktop line on the pop-up menu displayed when you right-click the desktop. NOTE: This option also makes it impossible to have gif images as backgrounds. This setting applies to the current user only.

Show IE Channel Bar at startup: Shows the Internet Explorer Channel Bar automatically every time you start your computer. This setting applies to the current user only.

Auto end programs on exit: Automatically shuts down "Not Responding" apps on system shutdown. This setting applies to the current user only.

Beep on errors: Makes the computer beep every time an error occurs. This setting applies to the current user only.

Enable rapid refresh: Makes the desktop refresh more often without you having to press F5.

In the Shortcut arrows section you can change the shortcut arrows. You can choose between None, Small and Normal. You can see a preview next to the dropdown box. You can also browse to find the icon you want to use as a shortcut arrow. This setting applies to all users.


One

Miscellaneous One

In the Annoyances section you have the following options:

Show animated "<- Click here to begin": This option allows you to remove the annoying "Click here to begin" that points to the Start button when you start Windows.

Disable Tip of the day: When you start Windows there is a Tip Of The Day showing. Use this option to remove that dialog.

Use Windows Update without registration: This option allows you to use the Windows Update functionality at Microsoft's web site, without having to register.

Save window settings: This option make Windows "remember" the size and position of the windows when you close them, and can the next time you open the window be at the same place and be the same size.

Enable live scrolling in MS Word 97: When you drag the scrollbar in MS Word 97 the text doesn't update until you release the mouse button, to get the text to follow directly when you drag the scrollbar, then use this option.

Cursor blink rate: Choose what rate you want the cursor to blink in. If you don't want the cursor to blink then set it to the max value which is "65535". The lowest value is "1", Windows default is 500. NOTE: Setting the value to less than 5 might make the cursor disappear on some systems.

Windows Explorer Toolbar Skin: Use this option to add/change the skin you can put on the toolbar of Windows Explorer. By pressing the "..." button next to the edit field, you can browse to select the bitmap you want as skin. To remove a skin leave the field empty and press apply. You will need to close all Windows Explorer windows and open them again to remove/change the skin.

The Windows Open Dialog Options section lets you modify the Open/Save as dialogs found in Windows Me/2000. You can change the following:

Hide Places bar: Lets you hide the "places" bar, that is the toolbar that is places on the left side of the dialog.

Hide Back button: Lets you hide the back button that is located on the toolbar of the dialog.

Hide recently used files: Hides recently used files, normally shown in the filename window.

The When right-clicking unknown file types section offers the following options:

Show "View with Notepad": Adds the option "View with Notepad" to the pop-up menu when you right-click on unregistered files.

Show "View with Wordpad": Adds the option "View with Wordpad" to the pop-up menu when you right-click on unregistered files.

The When right-clicking all files section offers the following options:

NOTE: There is a "side-effect" to this option. If you use the Office shortcut bar then you shouldn't use this option!!

Show "Open with Notepad": When you right-click all files, you can open the file in Notepad by choosing Open with Notepad.

Show "Open with Wordpad": When you right-click all files, you can open the file in Wordpad by choosing Open with Wordpad.

Show "Open with...": When you right-click all files, you can use the basic "Open with..." dialog.

Show "Quick View": When you right-click all files, you can use the Quick View option provided by Windows.

The When right-clicking a directory section offers the following options:

Enable "Explore From Here": By using this option an extra line called "Explore From Here" is added to the menu when you right-click on a folder. By using that option, the explorer opens that folder like it was a root folder.

Enable "DOS Prompt Here": When you right-click a directory you can then select "DOS Prompt Here", then you will get a command prompt from that directory.

In the Fonts section can you clear the Font cache by pressing the "Clear Cache" button. Good to use incase the cache gets corrupted.


Two

Miscellaneous Two

In the Autorun CD section you have the following options:

Play Data CDs automatically: Use this option to prevent the data CDs from running automatically as soon as you put them in your Cd-Rom player.

Play Audio CDs automatically: Use this option to prevent the audio CDs from running automatically as soon as you put them in your Cd-Rom player.

Autostart Audio CD command: This edit box lets you change the default Audio CD player. If you want to restore this option, the default value is: "cdplayer.exe /play %1".

In the Include special folders in My Computer section you can add/remove the following folders:

Dial-Up Networking: To show or hide the Dial-Up Networking folder in My Computer.

Printers: To show or hide the Printers folder in My Computer.

Scheduled Tasks: To show or hide the Scheduled Tasks Folder in My Computer.

Web Folders: To show or hide the Web Folders folder in My Computer.

In the Enable Icons section you can view the icons in the files as icon of the file. If you want to see how a bitmap looks without opening the file just check the bmp option and the bmp files icons will be the bitmap. It's pretty good to check the *.cpl option, then your *.cpl files in Windows\System looks like the icons in the Control Panel.

In the Disable Active Desktop options / components section you can enable / disable the following Active Desktop settings:

All changes: Check this box to disable ALL Active Desktop changes.

All components: Check this box to disable ALL Active Desktop components.

Adding components: Check this box to disable the option to add Active Desktop components.

Deleting components: Check this box to disable the option to delete Active Desktop components.

Editing components: Check this box to disable the option to edit Active Desktop components.

Closing components: Check this box to disable the option to close Active Desktop components.

HTML wallpaper: Check this box to disable the HTML wallpaper option.

Changing wallpaper: Check this box to disable the option to change the HTML wallpaper.

Changing bands: Check this box to disable the option to change the Active Desktop band.

Moving bands: Check this box to disable the option to move the Active Desktop band.

Enable File Attributes: Check this box to display the File Attributes column in Windows Explorer. Disabled in Windows 2000, default: unchecked, applies to current user only.


Context Menu

On the Context Menu page you have the following options:

Here you can add additional commands to the menu that pops open when you right-click a file or folder. You can choose between adding the command on "When right clicking All Folders" or "When right-clicking All Files". Make your choice in the dropdown combo box in the upper right corner of the page. After that you need to name your extra command, with anything you'd like. Then put the command in the syntax line. You can add two different commands to both the "Folder" and the "All Files" option.

EXAMPLE:
Name: Open with Notepad
Syntax: notepad.exe "%1"

That option would of course go on the All Files choice.


System for Windows 9x/Me

In the Location of Windows Setup files section you can change the search path that Windows uses to find the files when you add a program. You can browse to the right directory by clicking on the "..." button to the right of the edit box.

The Log application failures offers the following option:

Write application errors to log file: If you use this option, then all errors will be written in a log file called FAULTLOG.TXT in your Windows directory.

In the Display dialog box before logon section you can make Windows display a dialog box with a custom message before you logon the system. Simply check the check box and type a caption and the text you want displayed on the dialog.

In the Application "Not Responding" options you can change the timeout for the programs that crashes. You can change the how long before showing "Not responding" and also how long before a "Not responding" program is alive before shutting down.

In the Run scandisk on System Startup section you can set how you want scandisk to run. Never means that scandisk never runs, After prompting means that you will be prompt before scandisk starts. Without prompting means that Scandisk is run automatically. It is always good to have scandisk run after a system failure. So Never is not a recommended option.

The Startup options gives you the following options:

Disable active function keys while booting: By default Windows enables the functions keys on boot, these allows you to control the boot process. Check the box to remove this option.

Boot to MS-DOS: Use this option if you want to boot directly to MS-DOS prompt.

Disable splash screen while booting: Use this option if you want to remove the "Windows clouds screen" on boot-up.

Disable F4 to boot previous OS: If you have installed an upgrade version of Windows 9x, you can normally press F4 to boot you previous version of Windows. Use this option to disable that option.

Always show boot menu: Check this box to display the Boot Menu every time you start you computer.

Continue booting after: If you display the boot menu, then you can set for how long you want the menu displayed before continuing to boot up. Windows Default is 30 seconds.

*********************************
USE THE BELOW MENTIONED OPTION WITH CAUTION! It could prevent Windows from operating properly.
Show "~1" after long filenames: To show or hide the ~1 after long filenames. Use this option with caution since many setup programs use Progra~1 as installation path.
*********************************

In the Make Windows aware of a file's location section you can browse to an executable file and then you will be able to launch that program just by typing the filename in the Start -> Run dialog. Just like the PATH variable you used to put in the autoexec.bat


System for Windows NT/2000

In the Location of Windows setup files section you can change the search path that Windows uses to find the files when you add a program. You can browse to the right directory by clicking on the "..." button to the right of the edit box.

In the Messages during startup the following options are offered:

Legal notice box before logon: This option allows you to make Windows display a dialog box with a custom message before you logon the system. Simply check the check box and type a caption and the text you want displayed on the dialog.

Message shown on logon box: This option allows you to change the message that are displayed on the logon box. Simply check the box and enter the text you want in the edit field. Default is "Enter a user name and password that is valid for this system."

In the Make Windows aware of a file's location section you can browse to an executable file and then you will be able to launch that program just by typing the filename in the Start -> Run dialog. Just like the PATH variable you used to put in the autoexec.bat

*********************************
USE THE BELOW MENTIONED OPTION WITH CAUTION! It could prevent Windows from operating properly.
Show "~1" after long filenames: To show or hide the ~1 after long filenames. Use this option with caution since many setup programs use Progra~1 as installation path.
*********************************

In the Restart & Shutdown settings you can make the following changes:

Auto shutdown "Not Responding" apps: When applications sends out the “Not Responding” command, this feature can make that app shutdown automatically.

Auto reboot on "Blue Screen": When you receive the "Blue Screen of death", this feature restarts you computer automatically.

Auto "Power Off" after shutdown: If your computer supports auto shutdown, this feature powers off your computer automatically. NOTE: On some systems this option can make the computer restart instead of shutting down.

Clear Page File at shutdown: This feature makes Windows empty the Page File at shutdown. Default Windows doesn’t do this and it can be a security and performance problem since Windows might have stored secure information in it.

Enable shutdown from logon dialog: Use this option to disable the Shut Down button found on the logon dialog.

In the System security field you can do the following:

Display "Common Groups" on start menu: This option lets you show/hide the "common groups" (the folders under the line on the start menu\program).

Disable change password button: This option enables/disables the change password button you’ll see when you hit CTRL+ALT+DEL.

Disable lock workstation button: This options enables/disables the lock workstation button you’ll se when you hit CTRL+ALT+DEL.

Disable task manager button: This option enables/disables the task manager button you’ll see when you hit CTRL+ALT+DEL.

Prevent users from running Regedit: Check this box to prevent users from running Regedit. If someone tries to run regedit in some way they receive a message that the option to run Regedit has been locked. You can still run Regedit from ItweakU's menu Tools -> Regedit.

In the Guests access to event logs you can disallow guests to view the logs. You can lock the application, security and system log separately.


Wallpaper - Info Tips

In the Wallpaper section you can see the following:

Wallpaper: Here you can see all wallpaper on your computer. The list you see is the .bmp and .gifs and also jpeg on Windows 2000, you will find in your Windows directory, if you have at least Windows 95 with IE 4.01 installed. Here you select the wallpaper you want to delete and then hit the Delete button. Multiple selections allowed.

Style: The style of your wallpaper. You can choose between centered, tiled or stretched. Default is centered.

Delete: This option lets you delete the selected Wallpaper from your hard drive.

The Info Tips field offers the following options:

Select one of the items in the list then double-click it. You will then see the info tip and can write whatever you want. The info tips are the ones that pop up like tool-tips when you hold your cursor over the recycle bin or network neighborhood or whatever you have in that list.


IE Cookies - Misc

In the Internet Explorer Cookies field you can do the following:

Select one or more of the cookies you see and then hit delete. The cookie files will be removed from your computer. If you press "Select all" all cookies in the list box will be selected.

The Clear NOW! section offers the following options:

Typed URLs: When you press this button, the URLs that you have type directly in to the address field in Internet Explorer (which IE remembers) are cleared.

URL History: Windows stores all URL you visit in a folder called History. When you click on this button that folder is cleared.

IE Cache: Click this button to clear the Temporary Internet Files folder.

In the Clear folders at Startup section you can clear the following folders:

Temporary Internet Files (IE Cache): Clears the "Temporary Internet Files" folder at Windows start-up. Internet Explorer uses that folder as cache folder.

Temp: Clears the "Temp" (usually Windows\Temp) folder at Windows start-up.

Cookies: Clears the "Cookie" (usually Windows\Cookies) folder at Windows start-up.

URL History: Clears the "History" (usually Windows\History) folder at Windows start-up.


Internet Explorer 1

In the Default URLs section you can change the following settings:

The default urls is the pages that Internet Explorer displays incase of an error or something like that. By using these options you can use your own personalized pages to display. You can change the

  • Blank page (default: "res://mshtml.dll/blank.htm")
  • Navigation cancelled (default: "res://shdocvw.dll/navcancl.htm")
  • Navigation failed (default: "res://shdocvw.dll/navcancl.htm")
  • Offline failed (default: "res://shdocvw.dll/offcancl.htm")
To browse just click the "..." button next to the edit line.

The URL Templates section offer the following possibilities:

The URL templates is a function in Internet Explorer that makes it possible to type just "jockesoft", and if you have "www.%s.com" as the first template, then Internet Explorer will try to open the "www.jockesoft.com" page.


Internet Explorer 2

The Miscellaneous section allows you to change the following settings:

Disable Internet Options: Check this box to disable the "Internet Options" line on the Tools menu.

Hide Favorites: Check this box to remove the "Favorites" menu.

Disable Save for downloadable files: Check this box to disable the option to save a file when starting a download.

Disable Context Menu on right click: Check this box to disable the Context Menu that appears when you right-click in the Internet Explorer window.

Disable "Customize IE toolbar": This option removes the "Customize..." line from the pop-up menu you see when you right click the Internet Explorer toolbar.

Check for IE updates automatically: When using this option then you can prevent Internet Explorer from going to Microsoft's web site to check for updated versions of itself.

Have IE check if it's the default browser: This option makes Internet Explorer check to see if it's the default browser every time it starts.

Disable F3: Select this option if you want to disable the F3 key in Internet Explorer. F3 displays the Search pane and does the same thing as the Search button on the toolbar. So if you disable F3 you should hide the Search button as well (Windows 2000/Me). In Windows 9x/NT it disables the "Find all Files" dialog in windows.

The File Menu section allows you to change the following settings:

Disable New Window: Check this box to disable the "New Window" line on the File menu.

Disable Open: Check this box to disable the "Open" line on the File menu.

Disable Save and Save As: Check this box to disable the "Save" and "Save As" lines on the File menu.

Disable Close: Check this box to disable the "Close" line on the File menu.

The Help Menu section allows you to change the following settings:

Disable Help Menu: Check this box to disable the Help Menu.

Disable For Netscape Users: Check this box to disable the "For Netscape Users" line on the Help menu.

Disable Send Feedback: Check this box to disable the "Send Feedback" line on the Help menu.

Disable Tip of the Day: Check this box to disable the "Tip of the Day" line on the Help menu.

Disable Tour: Check this box to disable the "Tour" line on the Help menu.

The View Menu section allows you to change the following settings:

Disable View Source: Check this box to disable the "View Source" line on the view menu.

Disable Full Screen: Check this box to disable the "Full Screen" line on the view menu.

The Window Title section allows you to change the Window Title in Internet Explorer. Default is "Microsoft Internet Explorer".

IE Toolbar Skin: Use this option to add/change the skin you can put on the toolbar of Internet Explorer. By pressing the "..." button next to the edit field, you can browse to select the bitmap you want as skin. To remove a skin leave the field empty and press apply. You will need to close all Internet Explorer windows and open them again to remove/change the skin.


Dial-up

A little info about the different values you can change in ItweakU.

The data is broken into what are called packets (also called data grams). Each TCP packet consists of a 40 byte header, which includes routing information, and the actual data that is being sent or received (called the data segment). Unless the sender and receiver of that data are on the same network, the packet must be routed through one or more intermediary systems which are responsible for forwarding it on to it’s ultimate destination. And because of the nature of the Internet, there is no guarantee that two packets, both having the same sender and destination, will follow the same route.

Each of these hosts is configured to handle Maximum Transmission Unit (MTU), which is the number of bytes that will be sent as one packet. So if you have a host that sends at 1500 and you have 576 as your setting, the host’s packets are broken into bits, and since 1500/576 are not even, the third packet will only be fragments. This can have a negative effect on the throughput.

I will not go in to the Maximum Segment Size (MSS) since ItweakU handles that automatically. It's the MTU – 40. But the MSS are useful when you are going to calculate the Receive WINdow (RWIN). That’s the number of bytes that can be buffered, pending a receipt from the sender. A good RWIN value should be 2-10 Times the value of MSS. For Example, a system with MTU of 576 (MSS 536) could have a RWIN value of 4288 (536*8).

The Time To Live (TTL) are the times a packet can be resent every time it tries the value lowers 1. When it comes to 0 it will be rejected.

What settings are recommended in Windows 9x?

Well I have written recommended on the values that I think would be good. However every system are different and the values can’t be the same on every one, so try a little different and see if the connection speed improves.

For more info go to:
  • http://www.catalyst.com/support/tips/tip05.html
  • http://www.sonic.net/stephen/best_mtu.html

There you can get more info about this subject.


Outlook Express - Modems

The Outlook Express section allows you to change the following settings:

Location of Address Book files: Use this option if you want to place the Address Book anywhere on your computer. First move your files *.wab and *.wa~ to the folder you want to use as your address book folder. Then press the "..." button next to the address book edit field and browse to the new location of the files. NOTE: Make sure that you have closed Outlook Express before changing anything.

Window title: This option lets you change the window title of Outlook Express. Enter the text you want displayed and hit apply. Default is "Outlook Express"

Show splashscreen at start-up: Use this option if you want to remove the splash screen you see when you start Outlook Express. Default is checked.

Disable "Tools -> New Account Signup": With this option you can remove the "Tool -> New Account Signup" menu line in Outlook Express. Default is checked.

The Modems section allows you to change the following settings:

Model: Select the modem you wish to make the changes to.

Init commands: Here you can change the commands that are sent to your modem before dialing. NOTE: Please include <cr> at the end of the command string. This will signal the init command to the modem as the last instruction on the line. Your modem might get confused if you don't include the <cr>.

Auto connect to the Internet (autodial): Use this option to make Internet Explorer automatically connect to the internet when you are trying to connect to a web site.

Auto disconnect from the Internet: Use this option to make Internet Explorer automatically disconnect when you are closing down Internet Explorer and Outlook Express.


Programs - Control Panel

The Remove / Uninstall Programs section gives you the following options:

If you have a program that you can’t uninstall using the Add/Remove programs in the Control Panel, then you can remove the Program from the list by selecting the name and then click Remove. ItweakU removes the entry from the registry making it impossible to uninstall the program later. If you want to make sure that the program can't be uninstalled first, try clicking on the uninstall button before using remove. You might want to try to edit the search path of the uninstall program, then you can use the edit button to do that. NOTE: Removing the entry doesn't uninstall the program, the program will still be on your hard drive. Use this option only if you are unable to use the program's uninstall option.

The Show / Hide Control Panel Icons section gives you the following options:

If you want to "hide" certain icons in the Control Panel, then you just uncheck the box in front of the file you want to hide. Then if you want to see it again simply check that same box and hit apply.


New - Send To

The New section gives you the following options:

Here you can remove the New objects shown when you right-click in a folder or on the desktop and choose New. The programs you install create the new objects. If you have a lot of programs installed and haven’t cleaned up here, it could take a while before the menu opens.

You can either select an entry and click the Delete button - that will clear it from the registry. But the other way, the best way, is to uncheck the box and then hit apply, that will remove it from the right-click menu, then if you want it back you can just check the item again and hit apply.

You can add new templates by either clicking the "Add" button and browse to the type of file you want to add, or you can simply drag the document on to the New window and release it there.

Multiple selections are allowed.

In the Send To section you have the following options:

Remove unwanted entries in your Send To folder by just selecting one or many items and then just hit the Delete button. You can also add new shortcuts by hitting the "Add" button. A pop-up menu will appear and then you can select if you want to add a shortcut to a file or folder.


Hide Drives

Drives - Icons

The Hide Drives option is designed to let you hide the drives you choose on the computer, to hide a drive, simply uncheck the box in front of the drive you wish to hide and then press the Apply button. To show the drive again just check the box again. If Windows Explorer is open when you hide/unhide a drive, it is required to press F5 to refresh the list, normally this is done by ItweakU.

The drives with a red circle with a diagonal line over it, marks a undefined drive, meaning there is no such drive on your computer.

If you uncheck an undefined drive, nothing will happen, since that drive does not exist on your computer.

NOTE: When a drive is hidden it's no longer possible to right click the Start button and use the "Open" and "Explore" options, since they are disabled.

The Change Icons section lets you change the most common icons found in Windows. You can change a icon by selecting the one you want to change in the list and then click the "Change" button. You can then browse to the file where the icon you want displayed is located. To reset an Icon, just select the one you want to reset and click the "Default" button.


Folders - Autorun

In the System folders section you have the following options:

Windows have certain folders for certain purposes. My Documents for instance is called Personal by Windows. I have changed it from My Documents to Temp. Works perfectly and one less folder in the root. This option helps you do this, you can move the Favorites folder to another drive, so if you format the Windows drive you will still have your favorites. You can move many directories with this option, but there might be some folders that works best left alone, of course you can always try and see what happens, it is possible to change it back.

Do it like this, select the folder you want to relocate, you will see the path below the list. Double-click on the selected item and a dialog opens. On that dialog you can either write the path to the new folder, or you can do it the safer way, by clicking on the browse button and browse to the correct folder. It's quite easy to misspell the path if you want to enter it manually.

In the Autorun programs section you can do the following:

You can delete the autorun programs in the registry and in the Start Menu. If you aren't certain what a program does, just leave it alone. There is also the possibility to disable programs. That means that you can enable the program again if you see that the program's auto start is necessary. Do this by removing the check mark in front of the line. If you can't figure out what program an entry starts, you can always select it and click on the Edit button, then you can see what file the entry starts. If you feel like it you can also change the entry. NOTE: It is not possible to edit the entry of a Start Menu program.


Reg Info

Registry Info

In the Computer registration it is possible to do the following:

You can view Windows Version, Windows Product ID, Windows Product Key and the Internet Explorer Version. You can change the Registered Owner Name, just edit and hit apply. The same goes for the Registered Organization Name, just Edit and then hit apply. These are the registrations for Windows NOT for ItweakU.

In the Network IDs you can change the following:

You can change the Computer Name, just edit and hit apply. You can do the same thing to Workgroup. Remember both of them can be max 15 characters and you will have to restart your computer for the changes to take effect. You will be prompted to do so when you click the OK button. NOTE: Not available in Windows NT and Windows 2000!


Miscellaneous settings

Not available in Windows NT!

The Miscellaneous security settings section gives you the following options:

Hide File-Menu: To show or hide the File-Menu on the top left corner of almost every Window.

Disable password caching: Use this option when you want to make sure that Windows doesn't store your passwords anywhere, which is a major security hazard.

Disable Taskbar Properties: Use this option to remove the Taskbar and Settings folder in Start -> Settings. It will also disable "properties" line in the pop-up menu you'll get when you right-click the taskbar.

Hide context menu in Start Menu: By using this option you can remove the users option to see a context menu when they right-click somewhere in the Start Menu.

The Logon section gives you the following options:

Clear last user at logon: The last person’s username that logged on will be erased and the field will be empty every time the system restarts.

Force password entry: If using this option the user if forced to enter a password to login. It is not possible to use the Escape key to skip the logon process.

Logon automatically at system start-up: This option makes it possible for Windows to logon automatically every time your computer restarts. Simply check this box and enter your username and password. Remember that the password are written in the registry in clear text so that anyone with access to it can see your password. After a mail from a user saying that the Auto logon feature worked fine for him, I have decided to put this option back on ItweakU. I can’t guarantee that the option will work on all computers since it doesn’t work properly on mine.

In the Practical security settings you can change the following settings:

Disable "Add Printer": By using this option you can prevent users from adding printers.

Disable "Remove Printer": By using this option you can prevent users from removing printers.

Hide floppy drive in MS Explorer: By using this option you can hide the A drive in the explorer.

Hide all drives in MS Explorer, except C: With this option you can hide all the drives but C:, so that users can't access them.

Hide Taskbar Menu on right-click: By using this option, no menu will appear when a user right-clicks on the taskbar.

Hide Desktop Menu on right-click: By using this option, no menu will appear when a user right-clicks on the desktop.

Clear Desktop of all icons: When you use this option the desktop will be completely empty. It is also impossible to create new shortcuts there.

Hide "File and printer sharing": By using this option you can hide the "File and printer sharing" button in Network properties.

In the Restrict registry access field you can do the following:

Prevent users from running Regedit: Check this box to prevent users from running Regedit. If someone tries to run regedit in some way they receive a message that the option to run Regedit has been locked. You can still run Regedit from ItweakU's menu Tools -> Regedit.


Control Panel settings

Not available in Windows NT!

In the Display Properties you can change the following settings:

Disable Desktop Properties: This option disables/enables the desktop properties window. If you disable it you will get a sign saying that the administrator has disabled this option.

Hide Background tab: Use this option to hide the background page in the desktop properties window.

Hide Screensaver tab: Use this option to hide the screensaver page in the desktop properties window.

Hide Appearance tab: Use this option to hide the appearance page in the desktop properties window.

Hide Effects, Web and Settings tabs: Use this option to hide the Effects, Web and Settings pages in the desktop properties window.

In the System Properties section you have the following options:

Hide Device Manager tab: Use this option to hide the Device Manager page in My Computer properties.

Hide Hardware Profiles tab: Use this option to hide the Hardware profiles page in My Computer properties.

Hide File System button: Use this option to hide the File System button on the Performance page.

Hide Virtual Memory button: Use this option to hide the Virtual Memory button on the Performance page.

The Network Properties offers you the following options:

Disable Network Properties: This options disables the Network properties, if a user tries to use the Network Properties, they will receive a message that the option is locked.

Hide Access Control tab: This option hides the Access Control page.

Hide Identification tab: This option hides the Identification page.

In the Control Panel Properties you can make the following changes:

Disable Passwords: This option disables/enables the password option in the Control Panel.

Disable Users: This option disables/enables the users option in the Control Panel.

In the Password properties section you can make the following changes:

Hide Change Passwords tab: This option hides/shows the Change Password page in the Password properties window.

Hide Remote Administrations tab: This option hides/shows the Remote Administration page in the Password properties window.

Hide User Profiles tab: This option hides/shows the User Profiles page in the Password properties window. NOTE: This also affects the Users option in the Control Panel.


Options

In the Options tab you can change ItweakU:s settings.

In the Display pages section you can remove the tabs from ItweakU that you never use or just think are in the way. You need to restart ItweakU for the changes to take effect.

In the Customize ItweakU section you can do the following:

Use stacked tabs: When you are using stacked tabs you can see all the pages at the same time. You need to restart ItweakU for the changes to take effect.

Use flat buttons: This is checked by default. When the buttons are flat they also has a "OnMouseOver" effect, the button gets a light shade of blue, when you move the mouse pointer over it. Uncheck this box if you want a border around the buttons the "original" Windows buttons. The change takes effect immediately after clicking on Apply.

Use flat checkboxes: Check this box if you want to remove the 3D border around the checkbuttons. The change takes effect immediately after clicking on Apply.

Suppress "Reboot?" message: If your computer need a restart becuse of the changes you made, you get a question if you want to reboot. If you check this box that message is suppressed.

Remember last page used: By checking this box ItweakU "remembers" what page is open when you exit. That page is then displayed automatically next time you start ItweakU.

Add ItweakU to the Control Panel: By checking this box the ItweakU applet will be added to the Control Panel.

Enable text highlight: By checking this box the text on the check boxes will turn blue when you move your mouse pointer over it and turn in to black again when you leave the text.

Remember window position: If you use this option then ItweakU remembers the position the window had when you closed it, and then opens at the same location next time you start it.

In the Restrict ItweakU access section you can password protect ItweakU. Check this box and you will be asked to type your password and confirm it. The next time you start ItweakU you will be prompt for a password on startup. Recommended that you also lock regedit. If you want to change your password simply uncheck the box and then check it again.

In the Language section you can choose what language you want ItweakU to be in.

Check for an updated version on the Internet: When you click this button, the Live Update wizard is launched. By just follow the steps in the wizard, Live Update will check to see if any updates to ItweakU is available and if so, you will be asked if you want to download them. When launching this wizard ItweakU will close.

Change Font: Click this button to change the font used in ItweakU. When you have changed the font you need to restart ItweakU in order to use the new font. The default font used in ItweakU is Tahoma 8px.


Add-ons in ItweakU Professional

When installing ItweakU Professional there are a couple of add-ons that are included in the package. The add-ons are listed below, just click on the link to get further information about any of the add-ons.

  • Add/Remove Checker
  • Filetype Manager
  • Registry Cleaner
  • Startup Manager
  • Startup Monitor
  • Web Delegate


Add/Remove Checker

The "Add/Remove Checker" program, is a add-on in ItweakU. It installs automatically when you install ItweakU Professional. How to use this program:
Launch Add/Remove Checker from the menu File -> Add/Remove Checker. The program displays a list of the different programs that are installed on your computer. It also marks each line with a green icon for OK the uninstall works, and a red icon for there is something wrong with this uninstall program.

By either right-clicking on an item or selecting one and using the toolbar, you have the following options:

  • You can add a new startup item.
  • You can edit currently selected item.
  • You can delete selected item (you will be prompted "Are you sure?").
  • You can test the selected item.
  • You can uninstall the selected item.
  • You can print the list.
  • You can copy the text to the clipboard.
  • You can refresh the list (F5).


Filetype Manager

The "Filetype Manager" program, is a add-on in ItweakU. It installs automatically when you install ItweakU Professional. How to use this program:
Launch Filetype Manager from the menu File -> Startup. The program displays a list of the different filetypes registered on your computer. You can modify and delete the items by either right-click or by using the toolbar or menu. You can also clean out defunct entries by using the "Edit->Clean up", Filetype manager then removes all non used entries.

By either right-clicking on an item or selecting one and using the toolbar, you have the following options:

  • You can add items.
  • You can edit currently selected item.
  • You can delete selected item (you will be prompted "Are you sure?").
  • You can print the list.
  • You can refresh the list (F5).


Registry Cleaner

The "Registry Cleaner" program, is a add-on in ItweakU. It installs automatically when you install ItweakU Professional. How to use this program:

Start Clean Registry from the menu File -> Registry Cleaner. When you have started the program, you will see a lot of lines with program names. This program helps you remove entries from programs you already have uninstalled. Use this program directly after you have uninstalled a program, then look for lines from that program they should have the same name as the uninstalled program. If you see a line like that, select it and hit the delete button. The entry will be removed from the registry. NOTE: If you are uncertain about a line, then just leave it be, it's better to be on the safe side than removing a line that a program uses.


Startup Manager

The "Startup Manager" program, is a add-on in ItweakU. It installs automatically when you install ItweakU Professional. How to use this program:
Launch Startup Manager from the menu File -> Startup. The program displays a list of the different startup items you can find in the Registry ( 7 places ) and on the Start Menu ( 2 places ). The location field in the program displays where each of the programs have been found.

By either right-clicking on an item or selecting one and using the toolbar, you have the following options:

  • You can enable disabled items.
  • You can disable enabled items.
  • You can add a new startup item.
  • You can edit currently selected item.
  • You can delete selected item (you will be prompted "Are you sure?").
  • You can run the selected item.
  • You can print the list.
  • You can refresh the list (F5).

When you add or edit an item you can select the location of the startup program. There are 9 different places to choose between.


Startup Monitor

The "Startup Monitor" program, is a add-on in ItweakU. It installs automatically when you install ItweakU Professional. How to use this program:
Launch Startup Monitor from the menu File -> Startup. You will se a dialog box with three different buttons. The "Start - Add" starts the program and places it in the Startup folder on your Start Menu and therefore will be automatically launched the next time you start Windows. "Start - Don't Add" starts the program without placing it in the Startup folder. The "Exit" button exits the program.

The program monitors any change made to the Auto run sections in the registry and also in the Startup folder on the Start Menu. As soon as a program tries to add an entry to any of those sections you will be notified and asked if you want to allow that change. If you don't allow the change the entry will be placed as a disabled startup item and then you can use either ItweakU or the Startup Manager to enable the item or remove it.

When you have started the program an icon is placed in the system tray down by the clock. You can reach different options by right-clicking the icon. You can launch "Startup Manager", if you haven't added Startup Monitor to autostart the you can do that aswell. You can also disable the Startup Monitor and you can also close the Program.


Web Delegate

The "Web Delegate" program, is a add-on in ItweakU. It installs automatically when you install ItweakU Professional. How to use this program:

Start Web Delegate from the menu File -> Web Delegate or from the Start -> Program -> ItweakU. When you have started the program, you will see two fields. In one you will see what browsers you have installed, and in the other you will see web file prefixes. This program lets you change the associated browser fast and simple. Select the file you want to change and then select the browser you want to attach it to and hit apply, it's as simple as that. You can also set if you want Netscape or Internet Explorer to see if they are the default browser every time you launch them.


Registration really pays

By registering ItweakU you can enjoy the full functionality of the program and also show respect to the author by purchasing the program he spent many hours developing.

  • Benefits and Costs
  • How to register
  • Support and Updates


Benefits and costs

Registration shows respect for the love and labor program authors put into their wares and keeps them going.

Advantages of registering:
  • Usage of ALL options.
  • Free support and upgrades. (Upgrades are free up to a certain point)
  • The more people that registers, the lower we can keep the price.
  • And again; You can show the author respect by purchasing the program he spent MANY hours developing.

How much does ItweakU cost?

Single license.... $19.95 only

Important: you need additional licenses if you plan to use ItweakU on more than one Computer.

Please read "How To register" for information about the easiest and fastest way for registration.

If you like, you can have a registered version of ItweakU within hours! Check out the list of registration methods. If you register online, you should receive your registered version (with all the advantages listed above) within 48 hours - often it's possible within a few hours!


How to purchase ItweakU

Single license.... $19.95 only

You can also get a discount if you decide to purchase multiple licensees. Just click on the regsoft link below to see the price range!

You can purchase ItweakU Professional in several ways:

  1. Register online at http://www.regsoft.net/purchase.php3?productid=11639. As soon as I receive email from them confirming your payment, I will send you an email containing the registration information. RegSoft is a US based payment service and uses a secure server for ItweakU:s payments. (If your browser doesn't support secure transctions, then just click here)
  2. By PHONE - by calling the US Number 1-877-REGSOFT (= 734-7638. International orders please call 1-770-319-2718). Don't forget to tell the program ID, #11639.
  3. By CHECK - just fill in the ONLINE registration form, print it out and mail it along with a check in US Dollars to: RegSoft.com Inc., PMB 201, 10820 Abbott's Bridge Road, Suite 220, Duluth, GA 30097, USA, Attn : Registrations. Please note that I don't accept checks mailed to my personal address!
  4. By FAX - just fill in the ONLINE registration form (you can also use FAX.RTF installed with ItweakU, a shortcut to it should be in your Start menu) - simply print it out and FAX it to the US number 1-208-279-3837.
  5. By EMAIL - email all information of the FAX form to registrations@regsoft.com

Last, but not least: please double-check the e-mail address you write on the registration form. Previously, I received many invalid email addresses and could not return the registered versions.

Under normal circumstances, you should receive your registration email just 2-48 hours after your registration came in! (please contact us if you waited longer).

Visit the ItweakU website at: http://www.jockesoft.com/itweaku.shtml

Email the author: support@jockesoft.com

Register online (Secure):
http://www.regsoft.net/purchase.php3?productid=11639


Support and Updates

Support

is available to all users. But you must understand that due to the large volume of mail I receive, I answer the registered users mail first and if I have the time I answer the rest the best I can.

Updates

Registered users get access to FREE upgrades whenever a new version is released. This offer can't be guaranteed forever, but I'm trying to keep it as long as it covers my time and expenses.


General information

ItweakU is written by Joakim Fredlund - PJF Data, please forward any comments directly to him.

  • About ItweakU
  • Thanks to...
  • Copyright notice
  • Contact information


About ItweakU

ItweakU Version 4.xx

Copyright © 1998 by PJF Data
All Rights Reserved

http://www.jockesoft.com/itweaku.shtml
support@jockesoft.com

ItweakU is written by Joakim Fredlund, PJF Data for Windows 9x/Me/NT/2000. If you have any problems or ideas for new features, mail me at support@jockesoft.com and I will try to help you with your problem/idea.

ItweakU have currently been successfully tested on the following configurations:

  • Windows 95 OSR2
  • Windows 95 OSR2 with IE4 SP1
  • Windows 98 with IE4
  • Windows 98 with IE5
  • Windows NT4 Workstation with SP6
  • Windows NT4 Workstation with SP5 and IE4 SP1, IE5
  • Windows NT4 Workstation with SP6 and IE4 SP1, IE5
  • Windows 2000 SP1
  • Windows Millennium Edition
Note: To get the most out of ItweakU, it's recommended to use at least Windows 95 OSR2 with Internet Explorer 4.01 SP1 installed

Write what you think of ItweakU, good or bad. It’s always fun to hear what other people think of it. I am constantly looking for "bugs" and new features to put into ItweakU, I am also spending several hours a day developing it. So I hope that you will enjoy it and continue to use it.

If you find any bugs please send me a mail.

Joakim Fredlund - Author of ItweakU
Helsingborg, Sweden


Thanks to...

I feel I must thank certain people for all the hard work and all the time they have spent helping me out with this project. Without these guys, this program wouldn't be what it is today. I also thank all of you out there who sends me emails with small improvements, but it is impossible to list all the names here.

A special thanks to:

Yoh Jinno - For all ideas, beta testing and all hours he have helped taking ItweakU many steps further.

Jim McNamara [jimmymac_4@yahoo.com] - For all the hours he spent finding the smallest thing to improve. Spelling, interface improvements, grammar and graphics.

Kim Kruse and Jim McNamara for the Splash Screen.

Of course I also want to thank the guys who spent their free time translating ItweakU to other languages.

  • Joakim Fredlund (Myself :) ) for the Swedish translation.
  • Alain Caland for his French translation.
  • Gerardo Vaquerizo for his Spanish translation.
  • Peter van den Berg for his Dutch translation.
  • Denis Gomes Franco for his Portuguese translation and for the former Splash Screen.
  • Jiri Buchvaldek for his Czech translation.
  • Tarino for his Chinese translation.
  • Ralf Vöpel for his German translation.


Copyright notice

Copyright © 1998 by PJF Data
All Rights Reserved.

Disclaimer

PJF Data has prepared this help file for use by PJF Data, customers and non customers. The information contained in this help file is protected by copyright. The material and/or documents in this help file may be reproduced, translated, or transmitted in any form or by any means, electronically or mechanically, provided that ALL original material is displayed and or printed as well as any copyrights and trademarks are duly noted in any copy or partial copy created. The material and/or documents in this help file may NOT be modified, altered or integrated into another electronic or printed material without first obtaining written permission from PJF Data.

The expressed comments and opinions of the clients who place advertisements, articles, editorials, graphics, and anything contained in web sites, other than PJF Data's own site, are not necessarily the opinions of PJF Data.

PJF DATA SHALL NOT BE LIABLE FOR TECHNICAL OR EDITORIAL ERRORS OR OMISSIONS CONTAINED IN THIS HELP FILE OR IN ANY REPRODUCED, TRANSLATED OR TRANSMITTED COPIES OR FOR INCIDENTAL OR CONSEQUENTIAL DAMAGES RESULTING FROM THE FURNISHING, PERFORMANCE, OR USE OF THIS MATERIAL.

PJF Data reserves the right to revise documents in the help file and/or change the product features or specifications without advance notice.

THESE PRODUCTS/FILES ARE PROVIDED "AS IS" AND WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED. PJF DATA DISCLAIMS ALL WARRANTIES WITH THE RESPECT TO THE USE OF THE FILES INCLUDING WITHOUT LIMITATION ANY WARRANTIES AS TO NON-INFRINGEMENT, MERCHANTABILITY, OR FITNESS FOR A PARTICULAR PURPOSE.

Microsoft, Windows, Windows NT, Windows 2000 and Windows Millennium are either registered trademarks or trademarks of Microsoft Corporation in the U.S.A and/or other countries.

Other product and company names mentioned herein may be the trademarks of their respective owners.


Contact information

The latest version of ItweakU can be found at the download page: http://www.jockesoft.com

Please forward any comments or suggestions to Joakim Fredlund, PJF Data at:
email: support@jockesoft.com
mail: PJF Data, Fridas Gata 18B, SE-256 54 Helsingborg, Sweden, Europe.
phone: +46 705 16 50 06